curl https://api.thanxsandbox.com/partner/issuance_jobs/job_xyz789/revoke \
-X POST \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
-d '{
"merchant_id": "k2lye10h32l5wzo"
}'
{
"issuance_job": {
"id": "job_xyz789",
"campaign_id": "camp_abc123",
"variant_id": "var_treat1",
"state": "revoking",
"total_count": 2,
"processed_count": 2,
"success_count": 1,
"failure_count": 1,
"progress_percent": 100,
"created_at": "2025-06-15T10:30:00Z",
"started_at": "2025-06-15T10:30:05Z",
"completed_at": "2025-06-15T10:30:15Z"
}
}
Issuance Jobs
Revoke Issuance Job
Revoke all rewards issued by an issuance job
POST
/
partner
/
issuance_jobs
/
:id
/
revoke
curl https://api.thanxsandbox.com/partner/issuance_jobs/job_xyz789/revoke \
-X POST \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
-d '{
"merchant_id": "k2lye10h32l5wzo"
}'
{
"issuance_job": {
"id": "job_xyz789",
"campaign_id": "camp_abc123",
"variant_id": "var_treat1",
"state": "revoking",
"total_count": 2,
"processed_count": 2,
"success_count": 1,
"failure_count": 1,
"progress_percent": 100,
"created_at": "2025-06-15T10:30:00Z",
"started_at": "2025-06-15T10:30:05Z",
"completed_at": "2025-06-15T10:30:15Z"
}
}
Scope required:
rewards.issue202 Accepted
and the job transitions to a revoking state while rewards are being
revoked in the background.
Only issuance jobs in a completed or failed state can be revoked. Jobs
that are pending or processing will return a 422 error. Jobs that are
already revoking or revoked will also return a 422 error.
Parameters
Response
Returns202 Accepted with the issuance job object.
curl https://api.thanxsandbox.com/partner/issuance_jobs/job_xyz789/revoke \
-X POST \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
-d '{
"merchant_id": "k2lye10h32l5wzo"
}'
{
"issuance_job": {
"id": "job_xyz789",
"campaign_id": "camp_abc123",
"variant_id": "var_treat1",
"state": "revoking",
"total_count": 2,
"processed_count": 2,
"success_count": 1,
"failure_count": 1,
"progress_percent": 100,
"created_at": "2025-06-15T10:30:00Z",
"started_at": "2025-06-15T10:30:05Z",
"completed_at": "2025-06-15T10:30:15Z"
}
}